数据提供商: TypeSafe
Jev API
$0.0462 / 100 万输入 token在 45 秒内响应
Jev是一款专为分类、评分以及结构化决策而设计的快速推理API。可根据你的指令评估文本或 JSON、从多个选项中选择、打分,或作出是/否判断并给出置信概率。它专为那些需要可靠决策的工作流程而设计,能够避免长格式 LLM 生成所带来的延迟以及 token 成本问题。该模型字段允许选择以下版本:jev-1.13.0、jev-1.14.0(于2026年10月14日发布)、jev-latest(稳定版本,也是默认选项)或jev-preview(最新发布的版本);所有响应都会明确说明自己所使用的是哪个版本。图像输入、box questions 和长上下文在 TypeSafe 中属于实验功能,需要启用专用请求头;此接口不发送这些请求头。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the TypeSafe endpoint /v1/systemone on Glasser.bash
glasser run -p typesafe -e '/v1/systemone' -i '{"state":"I was charged twice for my subscription this month. Please fix this ASAP.","questions":{"urgency":{"type":"score","criteria":["Can wait a week","Answer within a day","Answer within an hour"],"instructions":"How urgently does this ticket need a human?"},"category":{"type":"choice","criteria":{"other":"Anything else","billing":"Charges, invoices, refunds or payment methods","technical":"The product is broken, slow or unavailable"},"instructions":"What is this support ticket about?"},"asks_for_refund":{"type":"noul","instructions":"The customer is asking for money back."}}}' --endpoint-version 1使用接口版本 1。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"typesafe","endpoint":"/v1/systemone","input":{"state":"I was charged twice for my subscription this month. Please fix this ASAP.","questions":{"urgency":{"type":"score","criteria":["Can wait a week","Answer within a day","Answer within an hour"],"instructions":"How urgently does this ticket need a human?"},"category":{"type":"choice","criteria":{"other":"Anything else","billing":"Charges, invoices, refunds or payment methods","technical":"The product is broken, slow or unavailable"},"instructions":"What is this support ticket about?"},"asks_for_refund":{"type":"noul","instructions":"The customer is asking for money back."}}},"endpoint_version":1}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 1,运行前请确认当前价格。
第 2 步尝试一个具体任务
分派客服工单时,可以根据团队的分类定义,将工单归为计费、技术或账号访问请求。
复制此提示词到你的 Agent,对客服工单进行分类。
提示词
Use typesafe:/v1/systemone on Glasser.
Classify this support ticket into billing, technical or account access using my category definitions.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"state",
"questions"
],
"properties": {
"model": {
"type": "string",
"maxLength": 64,
"minLength": 1
},
"state": {
"anyOf": [
{
"type": "string",
"minLength": 1
},
{
"type": "object"
},
{
"type": "array"
}
]
},
"questions": {
"type": "object",
"additionalProperties": {
"type": "object",
"required": [
"type",
"instructions"
],
"properties": {
"type": {
"enum": [
"noul",
"choice",
"score"
],
"type": "string"
},
"criteria": {
"anyOf": [
{
"type": "object"
},
{
"type": "array"
}
]
},
"instructions": {
"anyOf": [
{
"type": "string",
"maxLength": 20000,
"minLength": 1
},
{
"type": "object"
},
{
"type": "array"
}
]
}
},
"additionalProperties": false
}
}
},
"additionalProperties": false
}json
{
"state": "I was charged twice for my subscription this month. Please fix this ASAP.",
"questions": {
"urgency": {
"type": "score",
"criteria": [
"Can wait a week",
"Answer within a day",
"Answer within an hour"
],
"instructions": "How urgently does this ticket need a human?"
},
"category": {
"type": "choice",
"criteria": {
"other": "Anything else",
"billing": "Charges, invoices, refunds or payment methods",
"technical": "The product is broken, slow or unavailable"
},
"instructions": "What is this support ticket about?"
},
"asks_for_refund": {
"type": "noul",
"instructions": "The customer is asking for money back."
}
}
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 每100 万输入 token | 按处理的输入 token 数量计费。 没有返回数据时不收费。 | $0.0462 |
|---|---|---|
| 每次运行的费用上限 | 总费用不会超过此金额。 | $0.002957 |
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |